/*
Bones Scripts File
Author: Eddie Machado

This file should contain any js scripts you want to add to the site.
Instead of calling it in the header or throwing it inside wp_head()
this file will be called automatically in the footer so as not to
slow the page load.

*/

// IE8 ployfill for GetComputed Style (for Responsive Script below)
if (!window.getComputedStyle) {
    window.getComputedStyle = function(el, pseudo) {
        this.el = el;
        this.getPropertyValue = function(prop) {
            var re = /(\-([a-z]){1})/g;
            if (prop == 'float') prop = 'styleFloat';
            if (re.test(prop)) {
                prop = prop.replace(re, function () {
                    return arguments[2].toUpperCase();
                });
            }
            return el.currentStyle[prop] ? el.currentStyle[prop] : null;
        }
        return this;
    }
}

// as the page loads, call these scripts
jQuery(document).ready(function($) {

    /*
    Responsive jQuery is a tricky thing.
    There's a bunch of different ways to handle
    it so, be sure to research and find the one
    that works for you best.
    */
    
    /* getting viewport width */
    var responsive_viewport = $(window).width();
    
    /* if is below 481px */
    if (responsive_viewport < 481) {
    	
    	
    } /* end smallest screen */
    
    /* if is larger than 481px */
    if (responsive_viewport > 481) {
        
    } /* end larger than 481px */
    
    /* if is above or equal to 768px */
    if (responsive_viewport <= 768 ) {
    
        /* load gravatars */
        $('.comment img[data-gravatar]').each(function(){
            $(this).attr('src',$(this).attr('data-gravatar'));
        });
        
        
        
               
        
    }
    
    /* off the bat large screen actions */
    if (responsive_viewport > 1030) {
        
    }
    
	
	// add all your scripts here
	$('.nav_bar #topnav li').each(function(){
		if( $(this).children('ul.sub-menu').length > 0 ){
			$(this).children('a:first').append('<span class="more icon-chevron-right"></span>');
		}
	});
	
	// add all your scripts here
	$('.top-wide-nav #topnav li').each(function(){
		if( $(this).children('ul.sub-menu').length > 0 ){
			$(this).children('a:first').append('<span class="more icon-chevron-down"></span>');
		}
	});
	
	$('a.comment-reply-link').addClass('icon-reply');
	
		
	
	<!-- tab -->	
	
		$tabs = $('.tabs').children('li'),
		$tabdata = $('.tabdata');
	
		$tabdata.hide();
		$tabs.first().addClass('active').show();
		$tabdata.first().show();
	
		$tabs.on('click', function(e) {
			var $this = $(this);
	
			$tabs.removeClass('active');
			$this.addClass('active');
			$tabdata.hide();
			
			$( $(this).find('a').attr('href') ).fadeIn();
	
			e.preventDefault();
		});
		$('.newsticker').fadeIn();	
		if( $('.rtl .newsticker').length > 0 ){
			$('.rtl .newsticker').webTicker({direction:-1});
		}else {
			$('.newsticker').webTicker();
			
		}
		
		<!-- Go to top -->	
		
		
				
		
		$('#gotop').click(function(){
			$('html, body').animate({scrollTop:0}, '200');
		});
	
	
	
	// Tabs
	$(".custom_tabs").tabs(".custom_tabs_content", {effect: 'fade'});
	
	
	
	
	
	$(".accordion").tabs(".accordion div.pane", {tabs: 'h2', effect: 'slide', initialIndex: null} );
	
	$(".custom_tabs2").tabs(".custom_tabs2_content", {tabs: "li",	effect:'fade'	});
	
	 
	 $(".fancybox").fancybox({
	 				wrapCSS    : 'fancybox-custom',
	 				closeClick : true,
	 
	 				helpers : {
	 					title : {
	 						type : 'inside'
	 					},
	 					overlay : {
	 						css : {
	 							'background-color' : '#eee'
	 						}
	 					}
	 				}
	 			});
	 
	 		
	 
	  var $container = $('#items_container');
	 
	       $container.isotope({
	         itemSelector : '.element'
	       });
	       
	 var $container_3col_blog = $('#blog-3col');
	 
	       $container_3col_blog.isotope({
	         itemSelector : '.element',
	         masonry : { columnWidth: 313 }
	       });
	       
	       var $optionSets = $('#main .option-set'),
	           $optionLinks = $optionSets.find('a');
	 
	       $optionLinks.click(function(){
	         var $this = $(this);
	         // don't proceed if already selected
	         if ( $this.hasClass('selected') ) {
	           return false;
	         }
	         var $optionSet = $this.parents('.option-set');
	         $optionSet.find('.selected').removeClass('selected');
	         $this.addClass('selected');
	   
	         // make option object dynamically, i.e. { filter: '.my-filter-class' }
	         var options = {},
	             key = $optionSet.attr('data-option-key'),
	             value = $this.attr('data-option-value');
	         // parse 'false' as false boolean
	         value = value === 'false' ? false : value;
	         options[ key ] = value;
	         if ( key === 'layoutMode' && typeof changeLayoutMode === 'function' ) {
	           // changes in layout modes need extra logic
	           changeLayoutMode( $this, options )
	         } else {
	           // otherwise, apply new options
	           $container.isotope( options );
	         }
	         
	         return false;
	       });
	 
	 
	 
	 $('.toggle h3 a').click(function(e){
	 		e.preventDefault();
	 		$(this).parents('h3')
	 				.toggleClass('active')
	 				.next('div')
	 				.slideToggle('fast');
	 
	 	});
	 	$('.toggle h5').toggleClass('active');
	 	$('.toggle div').css('display','none');
	 
	 
	
 	$('.features').flexslider({
 		animation: "slide", 
 		slideshowSpeed: 7000,
 		controlNav: true,
 		prevText: "<span class=\"icon-angle-left\"></span>",
 		nextText: "<span class=\"icon-angle-right\"></span>",
 		manualControls: "ul.nav-ul-buttons li a",
 			start: function(slider){ // init the height of the first item on start
 	           
 	           
 	           var $next_slide = slider.slides.eq(slider.animatingTo);
 	           
 	           $next_slide.find('.width_50_right').addClass('show animated fadeInRight');
 	           $next_slide.find('a.author').addClass('show animated animate2 bounceInDown');
 	           $next_slide.find('.slide_rest').addClass('show animated animate3 fadeIn');
 	           
 	                                                
 	       },          
 	       before: function(slider){ // init the height of the next item before slide
 	            var $next_slide = slider.slides.eq(slider.animatingTo);
 	            $next_slide.find('.width_50_right').removeClass('show animated fadeInRight');
 	            $next_slide.find('a.author').removeClass('show animated animate2 bounceInDown');
 	            $next_slide.find('.slide_rest').removeClass('show animated animate3 fadeIn');
 	       },
 	       after: function(slider){ 
 	             
 	             var $next_slide = slider.slides.eq(slider.animatingTo);
 	             
 	             
 	             
 	             $next_slide.find('.width_50_right').addClass('show animated fadeInRight');
 	             $next_slide.find('a.author').addClass('show animated animate2 bounceInDown');
 	             $next_slide.find('.slide_rest').addClass('show animated animate3 fadeIn');
 	          		
 	          		
 	          		   
 	         }
 	           	        
 	});
 	 	
 	
 	
 	
 	$('.4cols_anmi').flexslider({
 	    animation: "slide",
 	    animationLoop: false,
 	    selector: ".slides_4col > li",  
 	    itemWidth: 154,
 	    itemMargin: 5,
 	    controlsContainer: ".shortcode_4col_posts",
 	    controlNav: false,              
 	    directionNav: true,            
 	    prevText: "<span class=\"icon-angle-left\"></span>",
 	    nextText: "<span class=\"icon-angle-right\"></span>",
 	    move: 1,
 	    slideshow: false
 	  });
 	  
 	 
 	  
 	  $('.3cols_anmi').flexslider({
 	      animation: "slide",
 	      animationLoop: false,
 	      selector: ".slides_3col > li",  
 	      itemWidth: 200,
 	      itemMargin: 8,
 	      controlsContainer: ".shortcode_3col_posts",
 	      controlNav: false,              
 	      directionNav: true,            
 	      prevText: "<span class=\"icon-angle-left\"></span>",
 	      nextText: "<span class=\"icon-angle-right\"></span>",
 	      move: 1,
 	      slideshow: false
 	    });
 	  $('.5cols_anmi_fullwidth').flexslider({
 	      animation: "slide",
 	      animationLoop: false,
 	      selector: ".slides_5col > li",  
 	      itemWidth: 186,
 	      itemMargin: 10,
 	      controlsContainer: ".shortcode_5col_posts",
 	      controlNav: false,              
 	      directionNav: true,            
 	      prevText: "<span class=\"icon-angle-left\"></span>",
 	      nextText: "<span class=\"icon-angle-right\"></span>",
 	      move: 1,
 	      slideshow: false
 	    });
 	  
 	  $('.2cols_anmi').flexslider({
 	      animation: "slide",
 	      animationLoop: false,
 	      selector: ".slides_2col > li",  
 	      itemWidth: 460,
 	      itemMargin: 20,
 	      controlsContainer: ".shortcode_2col_posts",
 	      controlNav: false,              
 	      directionNav: true,            
 	      prevText: "<span class=\"icon-angle-left\"></span>",
 	      nextText: "<span class=\"icon-angle-right\"></span>",
 	      move: 1 ,
 	      slideshow: false 
 	    });
 	    
 	   $('#preview_input').ColorPicker({
 	   	onSubmit: function(hsb, hex, rgb, el) {
 	   		$(el).val('#' + hex);
 	   		$(el).ColorPickerHide();
 	   	},
 	   	onBeforeShow: function () {
 	   		$(this).ColorPickerSetColor(this.value);
 	   	}
 	   })
 	   .bind('keyup', function(){
 	   	$(this).ColorPickerSetColor('#' + this.value);
 	   });
 	
 	/*
 	$('.nav-ul-buttons li a').click( function(){
 		$('.nav-ul-buttons li a').removeClass('active');
 		$(this).addClass('active');
 	});
 	
 	*/
 	$("[title]").tipTip();
 	
 	
 	
 	
 	$('#contact_button_send').click( function(e){
 	
 		if($('#email').val() && $('#name').val() && $('#message').val()){
 		
 			$('#email').removeClass('contact_error');
 			$('#name').removeClass('contact_error');
 			$('#message').removeClass('contact_error');
 			var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
 			if( !emailReg.test( $('#email').val() ) ) {
 	    		$('#email').addClass('contact_error');
 			}else{ 
 				$.ajax({
 					type: "POST",
 					data: jQuery('#contact-form').serialize() + "&action=contact_send",
 					url: $('#website_dir').val() + "/wp-admin/admin-ajax.php",
 					success: function(data){
 						if(data =='done'){
 							$('.message_contact_true').fadeIn();
 						}else{
 							$('.message_contact_false').fadeIn();
 						}
 				}});	
 			}
 		}else{
 			if(!$('#email').val()){
 				$('#email').addClass('contact_error');
 			}else{
 				$('#email').removeClass('contact_error');
 			}
 			if(!$('#name').val()){
 				$('#name').addClass('contact_error');
 			}else{
 				$('#name').removeClass('contact_error');
 			}
 			if(!$('#message').val()){
 				$('#message').addClass('contact_error');
 			}else{
 				$('#message').removeClass('contact_error');
 			}
 		
 		}
 		
 		e.preventDefault();
 	});
 	
 	$('#preview_show').click(function(){
 		if($('#preview').hasClass('hide2')){
 			$('#preview').removeClass('hide2');
 			$('#preview').addClass('show2');
 		}else{
 			$('#preview').removeClass('show2');
 			$('#preview').addClass('hide2');
 		}
 	});
 	
 	
 	
 	/* Mobile Devices Navigation Select Scripts */
 		(function ($) { 
 			$('select.resp_navigation').bind('change', function () { 
 				if ($(this).val() !== '' && $(this).val() !== document.location.href) { 
 					document.location.href = $(this).val();
 				}
 			} );
 			
 			$('select[name="resp_navigation"]').bind('change', function () { 
 				document.location.href = 'http://' + document.location.host + '/?page_id=' + $(this).val();
 			} );
 		} )(jQuery);
 		
 		 	
 
 
}); /* end of as page load scripts */





/*! A fix for the iOS orientationchange zoom bug.
 Script by @scottjehl, rebound by @wilto.
 MIT License.
*/
(function(w){
	// This fix addresses an iOS bug, so return early if the UA claims it's something else.
	if( !( /iPhone|iPad|iPod/.test( navigator.platform ) && navigator.userAgent.indexOf( "AppleWebKit" ) > -1 ) ){ return; }
    var doc = w.document;
    if( !doc.querySelector ){ return; }
    var meta = doc.querySelector( "meta[name=viewport]" ),
        initialContent = meta && meta.getAttribute( "content" ),
        disabledZoom = initialContent + ",maximum-scale=1",
        enabledZoom = initialContent + ",maximum-scale=10",
        enabled = true,
		x, y, z, aig;
    if( !meta ){ return; }
    function restoreZoom(){
        meta.setAttribute( "content", enabledZoom );
        enabled = true; }
    function disableZoom(){
        meta.setAttribute( "content", disabledZoom );
        enabled = false; }
    function checkTilt( e ){
		aig = e.accelerationIncludingGravity;
		x = Math.abs( aig.x );
		y = Math.abs( aig.y );
		z = Math.abs( aig.z );
		// If portrait orientation and in one of the danger zones
        if( !w.orientation && ( x > 7 || ( ( z > 6 && y < 8 || z < 8 && y > 6 ) && x > 5 ) ) ){
			if( enabled ){ disableZoom(); } }
		else if( !enabled ){ restoreZoom(); } }
	w.addEventListener( "orientationchange", restoreZoom, false );
	w.addEventListener( "devicemotion", checkTilt, false );
})( this );



jQuery(document).ready(function() {


var inputs = document.getElementsByTagName("input");
for (var i=0;i<inputs.length;i++) {
    if (inputs[i].getAttribute("type") == "text") {
        inputs[i].setAttribute("x-webkit-speech");
      
    }
    if (inputs[i].getAttribute("type") == "email") {
        inputs[i].setAttribute("x-webkit-speech");
    }
}

});