<?php

/**
 * Optional: set 'ot_show_pages' filter to false.
 * This will hide the settings & documentation pages.
 */
add_filter( 'ot_show_pages', '__return_false' );

/**
 * Required: set 'ot_theme_mode' filter to true.
 */
add_filter( 'ot_theme_mode', '__return_true' );



require_once('library/includes/bones.php'); 

require_once('library/includes/slides-post-type.php'); 

require_once('library/includes/shortcodes/shortcodes.php');

require_once('library/includes/admin/ot-loader.php');

require_once('library/includes/admin/theme-options.php'); 

require_once('library/includes/admin/meta-boxes.php'); 

require_once('library/includes/header-custom.php');

require_once('library/includes/widgets.php');

require_once('library/includes/page-builder/aq-page-builder.php');

require_once('library/includes/widget-settings-importexport/widget-data.php');

require_once('library/includes/update_notifier.php'); 

require_once('library/translation/translation.php');


/************* THUMBNAIL SIZE OPTIONS *************/

// Thumbnail sizes
add_image_size( 'blog-post-thumb', 700, 450, true );
add_image_size( 'blog-slide-small', 640, 300, true );
add_image_size( 'blog-page-thumb', 433, 240, true );
add_image_size( 'blog-mini-thumb', 240, 270, true );

add_image_size( 'gallery-thumb', 115, 115, true );
add_image_size( 'sidebar-thumb', 70, 50, true );

add_image_size( 'featured-post', 355, 190, true );

add_image_size( 'portfolio-2-col', 480, 480, true );
add_image_size( 'portfolio-3-col', 355, 220, true );
add_image_size( 'portfolio-4-col', 230, 220, true );

add_image_size( 'galllery-4-col', 270, 170, true );
add_image_size( 'slider-thumb', 155, 120, true );

add_image_size( 'slide', 950, 450, true );

add_image_size( 'slide-side', 525, 400, true );

add_image_size( 'mixed-size-1', 480, 480, true );
add_image_size( 'mixed-size-2', 480, 240, true );
add_image_size( 'mixed-size-3', 240, 480, true );
add_image_size( 'mixed-size-4', 240, 240, true );
add_image_size( 'left-post', 180, 180, true );
/* 
to add more sizes, simply copy a line from above 
and change the dimensions & name. As long as you
upload a "featured image" as large as the biggest
set width or height, all the other sizes will be
auto-cropped.

To call a different size, simply change the text
inside the thumbnail function.

For example, to call the 300 x 300 sized image, 
we would use the function:
<?php the_post_thumbnail( 'bones-thumb-300' ); ?>
for the 600 x 100 image:
<?php the_post_thumbnail( 'bones-thumb-600' ); ?>

You can change the names and dimensions to whatever
you like. Enjoy!
*/



if ( ! isset( $content_width ) ) $content_width = 960;
/************* ACTIVE SIDEBARS ********************/

// Sidebars & Widgetizes Areas
function bones_register_sidebars() {
    register_sidebar(array(
    	'id' => 'sidebar',
    	'name' => 'Default Sidebar',
    	'description' => 'The first (primary) sidebar.',
    	'before_widget' => '<div id="%1$s" class="widget %2$s">',
    	'after_widget' => '</div>',
    	'before_title' => '<h3 class="title widgettitle">',
    	'after_title' => '<span class="side-icon icon-circle-arrow-right"></span><span class="arrow"></span></h3>',
    ));

	register_sidebar(array(
	    'id' => 'post',
	    'name' => 'Sidebar Post',
	    'description' => 'The Posts sidebar.',
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="title widgettitle">',
	    'after_title' => '<span class="side-icon icon-circle-arrow-right"></span><span class="arrow"></span></h3>',
	));
	register_sidebar(array(
	    'id' => 'page',
	    'name' => 'Sidebar Page',
	    'description' => 'The Pages sidebar.',
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="title widgettitle">',
	    'after_title' => '<span class="side-icon icon-circle-arrow-right"></span><span class="arrow"></span></h3>',
	)); 
	
	register_sidebar(array(
	    'id' => 'left-default',
	    'name' => 'Left Default Sidebar',
	    'description' => 'Left Default Sidebar.',
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="title widgettitle">',
	    'after_title' => '<span class="arrow"></span></h3>',
	)); 
	register_sidebar(array(
	    'id' => 'left-page',
	    'name' => 'Left Page Sidebar',
	    'description' => 'TLeft Page Sidebar',
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="title widgettitle">',
	    'after_title' => '<span class="arrow"></span></h3>',
	)); 
	register_sidebar(array(
	    'id' => 'left-post',
	    'name' => 'Left Post Sidebar',
	    'description' => 'Left Post Sidebar.',
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="title widgettitle">',
	    'after_title' => '<span class="arrow"></span></h3>',
	));     
} 


/************* COMMENT LAYOUT *********************/
		
// Comment Layout
function bones_comments($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?>>
		<article id="comment-<?php comment_ID(); ?>" class="clearfix">
			<header class="comment-author vcard clearfix">
			    <?php /*
			        this is the new responsive optimized comment image. It used the new HTML5 data-attribute to display comment gravatars on larger screens only. What this means is that on larger posts, mobile sites don't have a ton of requests for comment images. This makes load time incredibly fast! If you'd like to change it back, just replace it with the regular wordpress gravatar call:
			        echo get_avatar($comment,$size='32',$default='<path_to_url>' );
			    */ ?>
			    <!-- custom gravatar call -->
			    <?php echo get_avatar($comment,$size='64',$default= ot_get_option('avatar') ); ?>
			    <!-- end custom gravatar call -->
				<?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?><br><time class="time_class" datetime="<?php echo comment_time('Y-m-j'); ?>"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php comment_time('F jS, Y'); ?> </a></time>
				<?php edit_comment_link(__('(Edit)', 'code125'),'  ','') ?>
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			</header>
			<?php if ($comment->comment_approved == '0') : ?>
       			<div class="alert info">
          			<p><?php _e('Your comment is awaiting moderation.', 'code125') ?></p>
          		</div>
			<?php endif; ?>
			<section class="comment_content clearfix">
				<?php comment_text() ?>
			</section>
			
		</article>
    <!-- </li> is added by wordpress automatically -->
<?php
} // don't remove this bracket!

/************* SEARCH FORM LAYOUT *****************/

// Search Form
function bones_wpsearch($form) {
    $form = '<div id="widget_search" class="clearfix">
    	<form role="search" method="get" id="searchform" action="'. home_url( '/' ).'" >
    	<input type="text" value="'. get_search_query() .'" name="s" id="s" placeholder="'.__('Search our Website','code125').'" />
    	</form>
    </div><div class="clearfix"></div>';
    return $form;
} // don't remove this bracket!


function get_image_path($post_id = null) {
    if ($post_id == null) {
        global $post;
        $post_id = $post->ID;
    }
    $theImageSrc = get_post_meta($post_id, 'Image', true);
    global $blog_id;
    if (isset($blog_id) && $blog_id > 0) {
        $imageParts = explode('/files/', $theImageSrc);
        if (isset($imageParts[1])) {
            $theImageSrc = '/blogs.dir/' . $blog_id . '/files/' . $imageParts[1];
        }
    }
    return $theImageSrc;
}


function code125_breadcrumbs() {
 
  $showOnHome = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
  $delimiter = '&#8226;'; // delimiter between crumbs
  $home = __('Home','code125'); // text for the 'Home' link
  $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
  $before = '<span class="current">'; // tag before the current crumb
  $after = '</span>'; // tag after the current crumb
 
  global $post;
  $homeLink = home_url();
 
  if (is_home() || is_front_page()) {
 
    if ($showOnHome == 1) echo '<div id="crumbs"><a href="' . $homeLink . '">' . $home . '</a></div>';
 
  } else {
 
    echo '<div id="crumbs"><a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
 
    if ( is_category() ) {
      $thisCat = get_category(get_query_var('cat'), false);
      if ($thisCat->parent != 0) echo get_category_parents($thisCat->parent, TRUE, ' ' . $delimiter . ' ');
      echo $before . __('Archive by category "','code125') . single_cat_title('', false) . '"' . $after;
 
    } elseif ( is_search() ) {
      echo $before . __('Search results for "','code125') . get_search_query() . '"' . $after;
 
    } elseif ( is_day() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('d') . $after;
 
    } elseif ( is_month() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('F') . $after;
 
    } elseif ( is_year() ) {
      echo $before . get_the_time('Y') . $after;
 
    } elseif ( is_single() && !is_attachment() ) {
      if ( get_post_type() != 'post' ) {
        $post_type = get_post_type_object(get_post_type());
        $slug = $post_type->rewrite;
        echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a>';
        if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
      } else {
        $cat = get_the_category(); $cat = $cat[0];
        $cats = get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        if ($showCurrent == 0) $cats = preg_replace("#^(.+)\s$delimiter\s$#", "$1", $cats);
        echo $cats;
        if ($showCurrent == 1) echo $before . get_the_title() . $after;
      }
 
    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
      $post_type = get_post_type_object(get_post_type());
      echo $before . $post_type->labels->singular_name . $after;
 
    } elseif ( is_attachment() ) {
      
 
    } elseif ( is_page() && !$post->post_parent ) {
      if ($showCurrent == 1) echo $before . get_the_title() . $after;
 
    } elseif ( is_page() && $post->post_parent ) {
      $parent_id  = $post->post_parent;
      $breadcrumbs = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        $parent_id  = $page->post_parent;
      }
      $breadcrumbs = array_reverse($breadcrumbs);
      for ($i = 0; $i < count($breadcrumbs); $i++) {
        echo $breadcrumbs[$i];
        if ($i != count($breadcrumbs)-1) echo ' ' . $delimiter . ' ';
      }
      if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
 
    } elseif ( is_tag() ) {
      echo $before . __('Posts tagged "','code125') . single_tag_title('', false) . '"' . $after;
 
    } elseif ( is_author() ) {
       global $author;
      $userdata = get_userdata($author);
      echo $before . __('Articles posted by ','code125') . $userdata->display_name . $after;
 
    } elseif ( is_404() ) {
      echo $before . __('Error 404','code125' ) . $after;
    }
 
    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo __('Page','code125') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }
 
    echo '</div>';
 
  }
} // end code125_breadcrumbs()


$sidebars_new = ot_get_option( 'sidebars', array() );

    if ($sidebars_new){
        foreach ($sidebars_new as $sidebar_new) {


            register_sidebar(array(
                'name' => $sidebar_new["title"],
                'id' => $sidebar_new["slug"],
                'description' => 'The Custom sidebars.',
                'class' => 'sidebar fourcol last clearfix',
                'before_widget' => '<div class="widget column  %2$s" id="%1$s">',
                'after_widget' => '</div>',
                'before_title' => '<h3 class="title widgettitle">',
                'after_title' => '<span class="side-icon icon-circle-arrow-right"></span><span class="arrow"></span></h3>',
            ));
        }
    }
    


function new_excerpt($charlength) {
    $excerpt = get_the_excerpt();
    $charlength++;
    if (strlen($excerpt) > $charlength) {
        $subex = substr($excerpt, 0, $charlength - 5);
        $exwords = explode(" ", $subex);
        $excut = -(strlen($exwords[count($exwords) - 1]));
        if ($excut < 0) {
            echo substr($subex, 0, $excut);
        } else {
            echo $subex;
        }
        echo '... <a href="' . get_permalink() . '">' . __('Read More','code125') .'</a>';
    } else {
        echo $excerpt;
    }
}

function new_excerpt_widget($charlength) {
    $excerpt = get_the_excerpt();
    $charlength++;
    if (strlen($excerpt) > $charlength) {
        $subex = substr($excerpt, 0, $charlength - 5);
        $exwords = explode(" ", $subex);
        $excut = -(strlen($exwords[count($exwords) - 1]));
        if ($excut < 0) {
            echo substr($subex, 0, $excut);
        } else {
            echo $subex;
        }
        echo '...';
    } else {
        echo $excerpt;
    }
}

function the_excerpt_max_charlength($charlength) {
        $excerpt = get_the_excerpt();
        $charlength++;

        if (mb_strlen($excerpt) > $charlength) {
            $subex = mb_substr($excerpt, 0, $charlength - 5);
            $exwords = explode(' ', $subex);
            $excut = - ( mb_strlen($exwords[count($exwords) - 1]) );
            if ($excut < 0) {
                echo mb_substr($subex, 0, $excut);
            } else {
                echo $subex;
            }
            echo '...';
        } else {
            echo $excerpt;
        }
    }
    
function code125_trim($string,$charlength) {
        $excerpt = $string;
        $charlength++;

        if (mb_strlen($excerpt) > $charlength) {
            $subex = mb_substr($excerpt, 0, $charlength - 5);
            $exwords = explode(' ', $subex);
            $excut = - ( mb_strlen($exwords[count($exwords) - 1]) );
            if ($excut < 0) {
                $data =  mb_substr($subex, 0, $excut);
            } else {
                $data = $subex;
            }
            $data = $data . '...';
        } else {
            $data = $excerpt;
        }
    
    	return $data;
    }


function custom_excerpt_length($length) {
    return $length;
}

add_filter('excerpt_length', 'custom_excerpt_length', 999);


add_filter('widget_text', 'do_shortcode');

function hexDarker($hex,$factor = 30)
        {
        $new_hex = '';
        
        $base['R'] = hexdec($hex{0}.$hex{1});
        $base['G'] = hexdec($hex{2}.$hex{3});
        $base['B'] = hexdec($hex{4}.$hex{5});
        
        foreach ($base as $k => $v)
                {
                $amount = $v / 100;
                $amount = round($amount * $factor);
                $new_decimal = $v - $amount;
        
                $new_hex_component = dechex($new_decimal);
                if(strlen($new_hex_component) < 2)
                        { $new_hex_component = "0".$new_hex_component; }
                $new_hex .= $new_hex_component;
                }
                
        return $new_hex;        
        }
     
  
  function hexLighter($hex,$factor = 30) 
      { 
      $new_hex = ''; 
       
      $base['R'] = hexdec($hex{0}.$hex{1}); 
      $base['G'] = hexdec($hex{2}.$hex{3}); 
      $base['B'] = hexdec($hex{4}.$hex{5}); 
       
      foreach ($base as $k => $v) 
          { 
          $amount = 255 - $v; 
          $amount = $amount / 100; 
          $amount = round($amount * $factor); 
          $new_decimal = $v + $amount; 
       
          $new_hex_component = dechex($new_decimal); 
          if(strlen($new_hex_component) < 2) 
              { $new_hex_component = "0".$new_hex_component; } 
          $new_hex .= $new_hex_component; 
          } 
           
      return $new_hex;     
      } 
  
 function hex2rgb($hex) {
    $hex = str_replace("#", "", $hex);
 
    if(strlen($hex) == 3) {
       $r = hexdec(substr($hex,0,1).substr($hex,0,1));
       $g = hexdec(substr($hex,1,1).substr($hex,1,1));
       $b = hexdec(substr($hex,2,1).substr($hex,2,1));
    } else {
       $r = hexdec(substr($hex,0,2));
       $g = hexdec(substr($hex,2,2));
       $b = hexdec(substr($hex,4,2));
    }
    $rgb = array($r, $g, $b);
    //return implode(",", $rgb); // returns the rgb values separated by commas
    return $rgb; // returns an array with the rgb values
 }



 function contact_send() {

        add_filter('wp_mail_content_type', create_function('', 'return "text/html";'));

        ob_start();
        bloginfo('name');
        $name = ob_get_contents();
        ob_end_clean();


		$email = ot_get_option( 'contact_page' );
		
		$message = '<p>' . __('Name: ','code125') . $_POST['name'] . '</p>';
        $message = $message . '<p>' . __('Email: ','code125') . $_POST['email'] . '</p>';
        $message = $message . '<p>' . __('Message: ','code125') . $_POST['message'] . '</p>';
        $headers = 'From: ' . $name . ' ' . "\r\n";
        wp_mail( $email , $name . ' Contact Page', $message, $headers, '');

        echo 'done';
        die();
    }

    add_action('wp_ajax_nopriv_contact_send', 'contact_send');
	add_action('wp_ajax_contact_send', 'contact_send');
	
	
	
	
		
		function custom_number_format($n) {
		    
		    $precision = 1;
		    
		    if ($n < 1000) {
		        $n_format = round($n);
		    } else if ($n < 1000000) {
		        $n_format = round($n / 1000, $precision) . 'K';
		    } else {
		        $n_format = round($n / 1000000, $precision) . 'M';
		    }
		
		    return $n_format;
		}
		
		function get_shares_number($url) {
			
			
			return 0;
		}        
	
	
	add_action( 'show_user_profile', 'extra_user_profile_fields' );
	add_action( 'edit_user_profile', 'extra_user_profile_fields' );
	
	function extra_user_profile_fields( $user ) { ?>
	<h3>Extra profile information</h3>
	
	<table class="form-table">
	<tr>
	<th><label for="position">Position</label></th>
	<td>
	<input type="text" name="position" id="position" value="<?php echo esc_attr( get_the_author_meta( 'position', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description">Please enter your position for example. News Editor</span>
	</td>
	</tr>
	<tr>
	<th><label for="facebook">Facebook username</label></th>
	<td>
	<input type="text" name="facebook" id="facebook" value="<?php echo esc_attr( get_the_author_meta( 'facebook', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description">Please enter your facebook username.</span>
	</td>
	</tr>
	<tr>
	<th><label for="twitter">Twitter username</label></th>
	<td>
	<input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description">Please enter your twitter username.</span>
	</td>
	</tr>
	<tr>
	<th><label for="google_plus">Google Plus Link</label></th>
	<td>
	<input type="text" name="google_plus" id="google_plus" value="<?php echo esc_attr( get_the_author_meta( 'google_plus', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description">Please enter your google plus link.</span>
	</td>
	</tr>
	<tr>
	<th><label for="behance">Behance Link</label></th>
	<td>
	<input type="text" name="behance" id="behance" value="<?php echo esc_attr( get_the_author_meta( 'behance', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description">Please enter your behance link.</span>
	</td>
	</tr>
	<tr>
	<th><label for="dribble">Dribble Link</label></th>
	<td>
	<input type="text" name="dribble" id="dribble" value="<?php echo esc_attr( get_the_author_meta( 'dribble', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description">Please enter your dribble link.</span>
	</td>
	</tr>
	</table>
	<?php }
	
	add_action( 'personal_options_update', 'save_extra_user_profile_fields' );
	add_action( 'edit_user_profile_update', 'save_extra_user_profile_fields' );
	
	function save_extra_user_profile_fields( $user_id ) {
	
	if ( !current_user_can( 'edit_user', $user_id ) ) { return false; }
	
	update_user_meta( $user_id, 'facebook', $_POST['facebook'] );
	update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
	update_user_meta( $user_id, 'google_plus', $_POST['google_plus'] );
	update_user_meta( $user_id, 'behance', $_POST['behance'] );
	update_user_meta( $user_id, 'dribble', $_POST['dribble'] );
	update_user_meta( $user_id, 'position', $_POST['position'] );
	
	}
	
	function wp_theme_options() {
	    global $wp_admin_bar, $wpdb;
	    if ( !is_super_admin() || !is_admin_bar_showing() )
	        return;
	     
	     if( is_home() ){
	     	$home  = ot_get_option( 'homepage' );
	     	if( isset( $home )){
	     		if( $home != '' ){
	     			$wp_admin_bar->add_menu( array( 'id' => 'edit_home', 'title' => __( 'Edit Homepage', 'code125-admin' ), 'href' => home_url() . '/wp-admin/post.php?post='.$home.'&action=edit' ) );
	     		}
	     		
	     	}
	     
	     }
	     
	        
	    /* Add the main siteadmin menu item */
	    $wp_admin_bar->add_menu( array( 'id' => 'alyoum_options', 'title' => __( 'Alyoum Theme Options', 'code125-admin' ), 'href' => home_url() . '/wp-admin/themes.php?page=ot-theme-options' ) );
	    
	    
	    
	}
	add_action( 'admin_bar_menu', 'wp_theme_options', 1000 );
	
	add_filter( 'wp_default_editor', create_function('', 'return "tinymce";') );
	
	
	
	
	$timebeforerevote = 120;
	
	add_action('wp_ajax_nopriv_post-like', 'post_like');
	add_action('wp_ajax_post-like', 'post_like');
	
	
	function post_like()
	{
		$nonce = $_POST['nonce'];
	 
	    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
	        die ( 'Busted!');
			
		if(isset($_POST['post_like']))
		{
			$ip = $_SERVER['REMOTE_ADDR'];
			$post_id = $_POST['post_id'];
			
			$meta_IP = get_post_meta($post_id, "voted_IP");
	
			if(isset($meta_IP[0])){
				$voted_IP = $meta_IP[0];
				if(!is_array($voted_IP))
					$voted_IP = array();
			}else {
				$voted_IP = array();
				
			}
			$meta_count = get_post_meta($post_id, "votes_count", true);
	
			if(!hasAlreadyVoted($post_id))
			{
				$voted_IP[$ip] = time();
	
				update_post_meta($post_id, "voted_IP", $voted_IP);
				update_post_meta($post_id, "votes_count", ++$meta_count);
				
				echo $meta_count;
			}
			else
				echo "already";
		}
		exit;
	}
	
	function hasAlreadyVoted($post_id)
	{
		global $timebeforerevote;
	
		$meta_IP = get_post_meta($post_id, "voted_IP");
		if(isset($meta_IP[0])){
			$voted_IP = $meta_IP[0];
			if(!is_array($voted_IP))
				$voted_IP = array();
		}else {
			$voted_IP = array();
		}
		$ip = $_SERVER['REMOTE_ADDR'];
		
		if(in_array($ip, array_keys($voted_IP)))
		{
			$time = $voted_IP[$ip];
			$now = time();
			
			if(round(($now - $time) / 60) > $timebeforerevote)
				return false;
				
			return true;
		}
		
		return false;
	}
	
	function getPostLikeLink($post_id)
	{
		$like_enable = ot_get_option('like_enable');
		if($like_enable !='no'){
		$vote_count = get_post_meta($post_id, "votes_count", true);
		if($vote_count == ''){
			$vote_count = 0;
		}
	
		$output = '<p class="post-like">';
		if(hasAlreadyVoted($post_id))
			$output .= ' <span title="'.__('I like this article', 'code125').'" class="qtip like alreadyvoted icon-heart"></span><span class="count">'.$vote_count.'</span>';
		else
			$output .= '<a href="#" data-post_id="'.$post_id.'">
						<span  title="'.__('I like this article', 'code125').'" class="qtip like icon-heart"></span><span class="count">'.$vote_count.'</span></a>';
		$output .= '</p>';
		}else {
			$output ='';
		}
		return $output;
	}
	
	function get_rating_average($post_id) {
		$meta_values = get_post_custom($post_id);
		
		if(!isset($meta_values['meta_use_review'][0])){
			$meta_values['meta_use_review'][0] = 'no';
		}
		$data = 0;
		$counter = 0;
		if($meta_values['meta_use_review'][0] == 'yes'){
		
			if(isset($meta_values['meta_reviews'][0])){
				 $reviews = unserialize($meta_values['meta_reviews'][0]); 
				 foreach ($reviews as $review) {
					$data = $data + $review['rating'];
					$counter++;
				}
				$rating= $data/$counter;
			
			}
		}
		
		if(!isset($meta_values['meta_review_type'][0])){
			$meta_values['meta_review_type'][0] = 'stars';
		}
		
		if($meta_values['meta_review_type'][0] == 'percentage'){
			$rating =  round($rating, 2) . '%';
		}elseif ($meta_values['meta_review_type'][0] == 'points') {
			$rating =  round($rating/10, 2);
		}else {
			$rating =  round($rating/20, 2);
		}
		
		return $rating;
	}
	
	function get_rating_average_star($post_id) {
		$meta_values = get_post_custom($post_id);
		
		if(!isset($meta_values['meta_use_review'][0])){
			$meta_values['meta_use_review'][0] = 'no';
		}
		$data = 0;
		$counter = 0;
		if($meta_values['meta_use_review'][0] == 'yes'){
		
			if(isset($meta_values['meta_reviews'][0])){
				 $reviews = unserialize($meta_values['meta_reviews'][0]); 
				 foreach ($reviews as $review) {
					$data = $data + $review['rating'];
					$counter++;
				}
				$rating= $data/$counter;
			
			}
		}
		
		$rating =  round($rating/10);
		
		
		$rating =  round($rating/2, 2);
		
		
		return $rating;
	}
	
	function get_review_number($review , $post_id){
		$meta_values = get_post_custom($post_id);
	
		if(!isset($meta_values['meta_review_type'][0])){
			$meta_values['meta_review_type'][0] = 'stars';
		}
		
		if($meta_values['meta_review_type'][0] == 'percentage'){
			$data =  get_percentage_review($review);
		}elseif ($meta_values['meta_review_type'][0] == 'points') {
			$data =  get_points_review($review/10);
		}else {
			$data =  get_stars_review(round($review/10)/2);
		}
		
		return $data;
		
	}
	
	
	
	function get_percentage_review($rating){
		$data = '<p class="percent_p">'.$rating.'%</p><div class="progress progress-striped"><div class="bar" style="width: '.$rating.'%;"></div></div>';
		
		return $data;
	}
	function get_points_review($rating){
		$rating_2 = $rating*10;
		$data = '<p class="percent_p">'.$rating.'</p><div class="progress progress-striped"><div class="bar" style="width: '.$rating_2.'%;"></div></div>';
		
		return $data;
	}
	
	function get_stars_review($rating){
		
		$rating_double = $rating*2;
		$data = '<p class="rating_stars clearfix">';
		
		if ($rating_double % 2 == 0) {
			for ($i = 1; $i < 6; $i++) {
				if($i<=$rating){
					$data = $data . '<span class="icon-star"></span>';
				}else {
					$data = $data . '<span class="icon-star empty"></span>';
				}
			}
		
		}else {
			for ($i = 1; $i < 6; $i++) {
				if($i<$rating){
					$data = $data . '<span class="icon-star"></span>';
				}elseif ($i == ($rating + 0.5 )) {
					$data = $data . '<span class="icon-star-half"><span class="icon-star"></span></span>';
				}else {
					$data = $data . '<span class="icon-star empty"></span>';
				}
			}
		}
		$data = $data .'</p>';
		
		return $data;
	}
	
	function has_review($post_id) {
		$meta_values = get_post_custom($post_id);
		if(!isset($meta_values['meta_use_review'][0])){
			$meta_values['meta_use_review'][0] = 'no';
		}	
		
		if($meta_values['meta_use_review'][0] == 'yes'){
			if(isset($meta_values['meta_reviews'][0])){
				return  true;
			}else {
				return  false;
			}
		}else {
			return false;
		}
	}
	
	function get_reviewbox($post_id) {
		$meta_values = get_post_custom($post_id);
		
		if(!isset($meta_values['meta_use_review'][0])){
			$meta_values['meta_use_review'][0] = 'no';
		}
		$data = '';
		if($meta_values['meta_use_review'][0] == 'yes'){
		
			if(isset($meta_values['meta_reviews'][0])){
				 $reviews = unserialize($meta_values['meta_reviews'][0]); 
				 $data = $data . '<table class="rating_table">';
				 $data = $data . '<tr><td><p class="rating_overall">'.__('Overall Score').'<p></td><td><p class="rating_overall">'.get_rating_average($post_id).'</p></td></tr>';
				foreach ($reviews as $review) {
					$data = $data .'<tr><td><p>'.$review['title'].'</p></td><td class="rating_cell">'.get_review_number($review['rating'],$post_id).'</td></tr>';
				}
				if(isset($meta_values['meta_use_review'][0])){
					$data = $data . '<tr><td class="review_comment" colspan="2">'.$meta_values['meta_review_comment'][0].'</td></tr>';
				}
				$data = $data . '</table>';
			
			}
		}
		
		return $data;
		
	}
	
	function get_stars_average($post_id) {
		$data = '';
		if(has_review($post_id)){
			$data = get_stars_review(get_rating_average_star($post_id));
		}
		return $data;
		
	}
	
	function my_excerpt_protected( $excerpt ) {
	    if ( post_password_required() )
	        $excerpt = '<em>[This is password-protected.]</em>';
	    return $excerpt;
	}
	add_filter( 'the_excerpt', 'my_excerpt_protected' );
	
	add_filter( 'the_password_form', 'custom_password_form' );
	function custom_password_form($content) {
	
		$o = '<div class="password-protected-form clearfix">'.$content.'</div>';
		return $o;
	}
	
	
	function code125_all_authors() {
		global $wpdb;
		$order = 'user_nicename';
		$user_ids = $wpdb->get_col("SELECT ID FROM $wpdb->users ORDER BY $order");
	
		
		return $user_ids;
	}
	
	
	add_action ( 'edit_category_form_fields', 'your_input_box');
	
	function your_input_box($category) {
	 
	 	$icons = array(
	 	'icon-glass',
	 	'icon-music',
	 	'icon-search',
	 	'icon-envelope',
	 	'icon-heart',
	 	'icon-star',
	 	'icon-star-empty',
	 	'icon-user',
	 	'icon-film',
	 	'icon-th-large',
	 	'icon-th',
	 	'icon-th-list',
	 	'icon-ok',
	 	'icon-remove',
	 	'icon-zoom-in',
	 	'icon-zoom-out',
	 	'icon-off',
	 	'icon-signal',
	 	'icon-cog',
	 	'icon-trash',
	 	'icon-home',
	 	'icon-file',
	 	'icon-time',
	 	'icon-road',
	 	'icon-download-alt',
	 	'icon-download',
	 	'icon-upload',
	 	'icon-inbox',
	 	'icon-play-circle',
	 	'icon-repeat',
	 	'icon-refresh',
	 	'icon-list-alt',
	 	'icon-lock',
	 	'icon-flag',
	 	'icon-headphones',
	 	'icon-volume-off',
	 	'icon-volume-down',
	 	'icon-volume-up',
	 	'icon-qrcode',
	 	'icon-barcode',
	 	'icon-tag',
	 	'icon-tags',
	 	'icon-book',
	 	'icon-bookmark',
	 	'icon-print',
	 	'icon-camera',
	 	'icon-font',
	 	'icon-bold',
	 	'icon-italic',
	 	'icon-text-height',
	 	'icon-text-width',
	 	'icon-align-left',
	 	'icon-align-center',
	 	'icon-align-right',
	 	'icon-align-justify',
	 	'icon-list',
	 	'icon-indent-left',
	 	'icon-indent-right',
	 	'icon-facetime-video',
	 	'icon-picture',
	 	'icon-pencil',
	 	'icon-map-marker',
	 	'icon-adjust',
	 	'icon-tint',
	 	'icon-edit',
	 	'icon-share',
	 	'icon-check',
	 	'icon-move',
	 	'icon-step-backward',
	 	'icon-fast-backward',
	 	'icon-backward',
	 	'icon-play',
	 	'icon-pause',
	 	'icon-stop',
	 	'icon-forward',
	 	'icon-fast-forward',
	 	'icon-step-forward',
	 	'icon-eject',
	 	'icon-chevron-left',
	 	'icon-chevron-right',
	 	'icon-plus-sign',
	 	'icon-minus-sign',
	 	'icon-remove-sign',
	 	'icon-ok-sign',
	 	'icon-question-sign',
	 	'icon-info-sign',
	 	'icon-screenshot',
	 	'icon-remove-circle',
	 	'icon-ok-circle',
	 	'icon-ban-circle',
	 	'icon-arrow-left',
	 	'icon-arrow-right',
	 	'icon-arrow-up',
	 	'icon-arrow-down',
	 	'icon-share-alt',
	 	'icon-resize-full',
	 	'icon-resize-small',
	 	'icon-plus',
	 	'icon-minus',
	 	'icon-asterisk',
	 	'icon-exclamation-sign',
	 	'icon-gift',
	 	'icon-leaf',
	 	'icon-fire',
	 	'icon-eye-open',
	 	'icon-eye-close',
	 	'icon-warning-sign',
	 	'icon-plane',
	 	'icon-calendar',
	 	'icon-random',
	 	'icon-comment',
	 	'icon-magnet',
	 	'icon-chevron-up',
	 	'icon-chevron-down',
	 	'icon-retweet',
	 	'icon-shopping-cart',
	 	'icon-folder-close',
	 	'icon-folder-open',
	 	'icon-resize-vertical',
	 	'icon-resize-horizontal',
	 	'icon-bar-chart',
	 	'icon-twitter-sign',
	 	'icon-facebook-sign',
	 	'icon-camera-retro',
	 	'icon-key',
	 	'icon-cogs',
	 	'icon-comments',
	 	'icon-thumbs-up',
	 	'icon-thumbs-down',
	 	'icon-star-half',
	 	'icon-heart-empty',
	 	'icon-signout',
	 	'icon-linkedin-sign',
	 	'icon-pushpin',
	 	'icon-external-link',
	 	'icon-signin',
	 	'icon-trophy',
	 	'icon-github-sign',
	 	'icon-upload-alt',
	 	'icon-lemon',
	 	'icon-phone',
	 	'icon-check-empty',
	 	'icon-bookmark-empty',
	 	'icon-phone-sign',
	 	'icon-twitter',
	 	'icon-facebook',
	 	'icon-github',
	 	'icon-unlock',
	 	'icon-credit-card',
	 	'icon-rss',
	 	'icon-hdd',
	 	'icon-bullhorn',
	 	'icon-bell',
	 	'icon-certificate',
	 	'icon-hand-right',
	 	'icon-hand-left',
	 	'icon-hand-up',
	 	'icon-hand-down',
	 	'icon-circle-arrow-left',
	 	'icon-circle-arrow-right',
	 	'icon-circle-arrow-up',
	 	'icon-circle-arrow-down',
	 	'icon-globe',
	 	'icon-wrench',
	 	'icon-tasks',
	 	'icon-filter',
	 	'icon-briefcase',
	 	'icon-fullscreen',
	 	'icon-group',
	 	'icon-link',
	 	'icon-cloud',
	 	'icon-beaker',
	 	'icon-cut',
	 	'icon-copy',
	 	'icon-paper-clip',
	 	'icon-save',
	 	'icon-sign-blank',
	 	'icon-reorder',
	 	'icon-list-ul',
	 	'icon-list-ol',
	 	'icon-strikethrough',
	 	'icon-underline',
	 	'icon-table',
	 	'icon-magic',
	 	'icon-truck',
	 	'icon-pinterest',
	 	'icon-pinterest-sign',
	 	'icon-google-plus-sign',
	 	'icon-google-plus',
	 	'icon-money',
	 	'icon-caret-down',
	 	'icon-caret-up',
	 	'icon-caret-left',
	 	'icon-caret-right',
	 	'icon-columns',
	 	'icon-sort',
	 	'icon-sort-down',
	 	'icon-sort-up',
	 	'icon-envelope-alt',
	 	'icon-linkedin',
	 	'icon-undo',
	 	'icon-legal',
	 	'icon-dashboard',
	 	'icon-comment-alt',
	 	'icon-comments-alt',
	 	'icon-bolt',
	 	'icon-sitemap',
	 	'icon-umbrella',
	 	'icon-paste',
	 	'icon-lightbulb',
	 	'icon-exchange',
	 	'icon-cloud-download',
	 	'icon-cloud-upload',
	 	'icon-user-md',
	 	'icon-stethoscope',
	 	'icon-suitcase',
	 	'icon-bell-alt',
	 	'icon-coffee',
	 	'icon-food',
	 	'icon-file-alt',
	 	'icon-building',
	 	'icon-hospital',
	 	'icon-ambulance',
	 	'icon-medkit',
	 	'icon-fighter-jet',
	 	'icon-beer',
	 	'icon-h-sign',
	 	'icon-plus-sign-alt',
	 	'icon-double-angle-left',
	 	'icon-double-angle-right',
	 	'icon-double-angle-up',
	 	'icon-double-angle-down',
	 	'icon-angle-left',
	 	'icon-angle-right',
	 	'icon-angle-up',
	 	'icon-angle-down',
	 	'icon-desktop',
	 	'icon-laptop',
	 	'icon-tablet',
	 	'icon-mobile-phone',
	 	'icon-circle-blank',
	 	'icon-quote-left',
	 	'icon-quote-right',
	 	'icon-spinner',
	 	'icon-circle',
	 	'icon-reply',
	 	);
	 	
	 	asort($icons);
	 	
	 	array_unshift($icons, "icon-none");
	 	
	 	$category_icon = get_option( 'category_icon_' . $category->term_id  );
	 
	?>
	<tr class="form-field">
	    <th scope="row" valign="top"><label for="category_icon"><?php _e('Category Icon','code125') ?></label></th>
	    <td>
	    <select name='category_icon_<?php echo $category->term_id; ?>' id='category_icon_<?php echo $category->term_id; ?>' >
	 
	    <!-- Get all themes and display them as options -->
	    <?php 
	        foreach ($icons as $icon) {
	        	if($icon == $category_icon){
	            	echo "<option class='theme-option' selected=\"selected\" value='" . $icon . "'>" . substr($icon, 5) . "</option>\n"; 
	            }else {
	            	echo "<option class='theme-option' value='" . $icon . "'>" . substr($icon, 5) . "</option>\n"; 
	            }
	        }
	    ?>
	    </select>  
	     </td>
	</tr>
	 
	<?php
	}
	add_action( 'edited_terms', 'save_my_category_custom_fields' );
	
	function save_my_category_custom_fields($term_id) {
	    if ( isset( $_POST['category_icon_' . $term_id] ) && !update_option('category_icon_' . $term_id , $_POST['category_icon_' . $term_id]) )
	        add_option('category_icon_' . $term_id , $_POST['category_icon_' . $term_id]);
	}
	
	function get_thumb_hover($post_id,$thumb_size,$option) {
	
		$id_link = get_post_thumbnail_id($post_id);
		
		$image_url = wp_get_attachment_image_src( $id_link, "full"); 
		
		$image_url2 = wp_get_attachment_image_src( $id_link, $thumb_size); 
		if($option == 'link'){
			$data = '<div class="hover_span_wrap '.$thumb_size.' clearfix" style="max-width:'.$image_url2[1].'px"><a href="'.get_permalink($post_id).'" class="hover_a"  title="'.get_the_title($post_id).'"><span class="icon-link"></span></a><a href="'.get_permalink($post_id).'"><img src="'.$image_url2[0].'" alt="" /></a></div>';
		}elseif ($option == 'none') {
			$data = '<div class="hover_span_wrap clearfix" style="max-width:'.$image_url2[1].'px"><a href="'.get_permalink($post_id).'" ><img src="'.$image_url2[0].'" alt="" /></a></div>';
		}else{
			$data = '<div class="hover_span_wrap '.$thumb_size.' clearfix" style="max-width:'.$image_url2[1].'px"><a href="'.$image_url[0].'" class="hover_a fancybox" ><span class="icon-search"></span></a><a href="'.get_permalink($post_id).'"><img src="'.$image_url2[0].'" alt="" /></a></div>';
		}
		return $data;
		
	}

?>