<?php 

add_action( 'widgets_init', 'code125_widgets' );


function code125_widgets() {
	register_widget( 'code125_widget_login' );
	register_widget( 'code125_widget_facebook' );
	register_widget( 'code125_widget_vimeo' );
	register_widget( 'code125_widget_youtube' );
	register_widget( 'code125_widget_Dailymotion' );
	register_widget( 'code125_widget_news_photos' );
	register_widget( 'code125_widget_get_connected' );
	register_widget( 'code125_widget_flickr' );
	register_widget( 'code125_widget_latest_tweets' );
	register_widget( 'code125_widget_blog' );
	register_widget( 'code125_widget_ad_300');
	register_widget( 'code125_widget_ad_160x600');
	
	register_widget( 'code125_widget_ad_4_4');
	register_widget( 'code125_widget_ad_2_125');
	register_widget( 'code125_widget_posts');
	register_widget( 'code125_widget_featured_post');
	register_widget( 'code125_widget_left_posts');
	register_widget( 'code125_widget_review');
	register_widget( 'code125_widget_author');
	register_widget( 'code125_widget_feedburner');
	
	
	
}

class code125_widget_latest_tweets extends WP_Widget {

	function code125_widget_latest_tweets() {
		$widget_ops = array( 'classname' => 'twitter', 'description' => __('Show the latest Tweets', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'twitter-widget' );
		
		$this->WP_Widget( 'twitter-widget', __('Code125 Latest Tweets', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username )
			echo '<div class="textwidget">';
			echo do_shortcode('[twitter username="'.$username.'"]');
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Latest Tweets', 'code125-admin'), 'username' => ot_get_option( 'twitter' ) );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>"><?php _e('Username:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		

	<?php
	}
}


class code125_widget_facebook extends WP_Widget {

	function code125_widget_facebook() {
		$widget_ops = array( 'classname' => 'facebook', 'description' => 'Show Facebook Like Box');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'facebook-widget' );
		
		$this->WP_Widget( 'facebook-widget','Code125 Facebook Like Box', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];

		echo $before_widget;
		
		$after_title = '<span class="side-icon icon-facebook"></span><span class="arrow"></span></h3>';

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username ){
			echo '<div class="textwidget">';
			echo '<div class="fb-like-box" data-href="http://www.facebook.com/'.$username.'" data-width="306" data-show-faces="true" data-stream="false" data-header="false"></div>';
			echo '</div>';
		}
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => 'Find Us On Facebook', 'username' => ot_get_option( 'facebook' ) );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>">Page Username:</label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		

	<?php
	}
}



class code125_widget_login extends WP_Widget {

	function code125_widget_login() {
		$widget_ops = array( 'classname' => 'login', 'description' => __('Show the login/register Forms', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'login-widget' );
		
		$this->WP_Widget( 'login-widget', __('Code125 Login Form', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		if( !is_user_logged_in() && !is_page_template('template-login-required.php') ){ 
		echo $before_widget;

		// Display the widget title
		
		if ( $title )
			echo $before_title . $title . $after_title;

			echo '<div class="textwidget clearfix">';
			?>
			<form name="loginform" id="loginform" action="<?php echo home_url() ?>/wp-login.php" method="post">
						
							<input type="text" name="log" class="element-block" id="user_login" class="input" placeholder="<?php _e('username','code125') ?>" size="20" />
							<input type="password" name="pwd" class="element-block" id="user_pass" class="input" placeholder="<?php _e('******','code125') ?>" size="20" />
						
						<p class="login-remember"><label><input name="rememberme" type="checkbox" id="rememberme" value="forever"><?php _e( 'Remember Me','code125')?></label></p>
						<p class="login-submit">
							<input type="submit" name="wp-submit" id="wp-submit" class="button-primary " value=" Log In">
							<a href="<?php echo wp_lostpassword_url( home_url() ); ?>"><?php _e('Forget Password ?','code125')?></a>
							<a class="button-primary" href="<?php echo home_url() ?>/wp-login.php?action=register"><?php _e('Register','code125')?></a>
							<input type="hidden" name="redirect_to" value="<?php echo get_permalink() ?>">
						</p>
						
					</form>
			<?php
			echo '</div>';

		
		echo $after_widget;
	}
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Login', 'code125-admin') );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

				

	<?php
	}
}



class code125_widget_vimeo extends WP_Widget {

	function code125_widget_vimeo() {
		$widget_ops = array( 'classname' => 'vimeo', 'description' => 'Vimeo Video Widget');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'vimeo-widget' );
		
		$this->WP_Widget( 'vimeo-widget','Code125 Vimeo Video Widget', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username ){
			echo '<div class="textwidget">';
			echo do_shortcode('[vimeo clip_id="'.$username.'" width="100%" height="200px"]');
			echo '</div>';
		}
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => 'Vimeo Video', 'username' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>">Video ID:</label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		

	<?php
	}
}


class code125_widget_youtube extends WP_Widget {

	function code125_widget_youtube() {
		$widget_ops = array( 'classname' => 'youtube', 'description' => 'Youtube Video Widget');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'youtube-widget' );
		
		$this->WP_Widget( 'youtube-widget','Code125 Youtube Video Widget', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username ){
			echo '<div class="textwidget">';
			echo do_shortcode('[youtube id="'.$username.'" width="100%" height="200px"]');
			echo '</div>';
		}
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => 'Vimeo Video', 'username' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>">Video ID:</label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		

	<?php
	}
}


class code125_widget_dailymotion extends WP_Widget {

	function code125_widget_dailymotion() {
		$widget_ops = array( 'classname' => 'dailymotion', 'description' => 'Dailymotion Video Widget');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'dailymotion-widget' );
		
		$this->WP_Widget( 'dailymotion-widget','Code125 Dailymotion Video Widget', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username ){
			echo '<div class="textwidget">';
			echo do_shortcode('[dailymotion id="'.$username.'" width="100%" height="200px"]');
			echo '</div>';
		}
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => 'Vimeo Video', 'username' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>">Video ID:</label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		

	<?php
	}
}


class code125_widget_get_connected extends WP_Widget {

	function code125_widget_get_connected() {
		$widget_ops = array( 'classname' => 'get_connected', 'description' => 'Show Get Connected Box');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'get_connected-widget' );
		
		$this->WP_Widget( 'get_connected-widget','Code125 Social Box', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		
		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

			echo '<div class="textwidget">';
			echo do_shortcode('[social_box]');;
			echo '</div>';
		
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => 'Get Connected');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		
		

	<?php
	}
}



class code125_widget_review extends WP_Widget {

	function code125_widget_review() {
		$widget_ops = array( 'classname' => 'review', 'description' => __('Show the Review Box in Articles when availble.', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'review-widget' );
		
		$this->WP_Widget( 'review-widget', __('Code125 Review Box', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		
		global $post;
		// Display the widget title
		if(is_single() && has_review($post->ID) && !post_password_required()){
			echo $before_widget;
		
			if ( $title )
				echo $before_title . $title . $after_title;

			echo '<div class="textwidget clearfix">';
			
			
			
			echo get_reviewbox($post->ID); 
			
			echo '</div>';

			echo $after_widget;
				
			$GLOBALS['show_review_box'] = false;
		}
	
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Review', 'code125-admin') );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

				

	<?php
	}
}



class code125_widget_author extends WP_Widget {

	function code125_widget_author() {
		$widget_ops = array( 'classname' => 'author', 'description' => __('Show the Author Box in Articles.', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'author-widget' );
		
		$this->WP_Widget( 'author-widget', __('Code125 Author Widget', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		
		global $post;
		// Display the widget title
		if(is_single()){
			echo $before_widget;
		
			if ( $title )
				echo $before_title . $title . $after_title;
			
			$user = get_userdata($post->post_author);
			
			$facebook_user = get_the_author_meta( 'facebook', $post->post_author);
			$twitter_user = get_the_author_meta( 'twitter', $post->post_author);
			$position_user = get_the_author_meta( 'position', $post->post_author);
			
			$google_plus_user = get_the_author_meta( 'google_plus', $post->post_author);
			$behance_user = get_the_author_meta( 'behance', $post->post_author);
			$dribble_user = get_the_author_meta( 'dribble', $post->post_author);
			
			$avatar = get_avatar( $post->post_author, '100', '', '<span class="icon-user"></span>' );
			
			echo '<div class="textwidget author_widget clearfix">';
			?>
			<div class="row-fluid">
			<div class="span4"><a href="<?php echo home_url() . '/author/' . $user->user_login ?>"><?php echo $avatar; ?></a></div>
			<div class="span8"><h3><a href="<?php echo home_url() . '/author/' . $user->user_login ?>"><?php echo $user->display_name; ?></a></h3><p><?php echo $position_user; ?></p><ul class="social-icons clearfix">
			<?php 
			if($facebook_user != ''){
				echo '<li><a href="http://www.facebook.com/people/@/'.$facebook_user.'" class="icon-facebook"></a></li>';
			}
			
			if($twitter_user != ''){
				echo '<li><a href="http://www.twitter.com/'.$twitter_user.'" class="icon-twitter"></a></li>';
			}
			
			if($google_plus_user != ''){
				echo '<li><a href="'.$google_plus_user.'" class="icon-google-plus"></a></li>';
			}
			
			if($behance_user != ''){
				echo '<li><a href="'.$behance_user.'" class="code125-social-behance"></a></li>';
			}
			
			if($dribble_user != ''){
				echo '<li><a href="'.$dribble_user.'" class="code125-social-dribble"></a></li>';
			}
			
			if($user->user_email != ''){
				echo '<li><a href="mailto:'.$user->user_email.'" class="icon-envelope-alt"></a></li>';
			}
			
			if($user->user_url != ''){
				echo '<li><a href="'.$user->user_url.'" class="icon-link"></a></li>';
			}
			
			
			 ?>
			</li></ul></div>
			</div>
			
			<?php
			echo '<p class="author_description"><span class="arrow-up"></span>'.$user->user_description.'</p>';
			
			echo '</div>';

			echo $after_widget;
		}
	
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Review', 'code125-admin') );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

				

	<?php
	}
}


class code125_widget_ad_160x600 extends WP_Widget {

	function code125_widget_ad_160x600() {
		$widget_ops = array( 'classname' => 'ad_160x600_widget', 'description' => __('Add Ads Area with dimension 160x600', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ad-160x600-widget' );
		
		$this->WP_Widget( 'ad-160x600-widget', __('Code125 Ad 160x600', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$ad_content = $instance['ad_content'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $ad_content )
			echo '<div class="textwidget"><div class="ad_wrap"><div class="ad_160x600">' . html_entity_decode( $ad_content ) . '</div></div></div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['ad_content'] =  htmlspecialchars( $new_instance['ad_content'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Ads', 'code125-admin'), 'ad_content' => ' ' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'ad_content' ); ?>"><?php _e('Ad Content:', 'code125-admin'); ?></label>
			<textarea id="<?php echo $this->get_field_id( 'ad_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_content']; ?></textarea>
		</p>
		

	<?php
	}
}



class code125_widget_ad_300 extends WP_Widget {

	function code125_widget_ad_300() {
		$widget_ops = array( 'classname' => 'ad_300_widget', 'description' => __('Add Ads Area with the width of 300', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ad-300-widget' );
		
		$this->WP_Widget( 'ad-300-widget', __('Code125 Ad 300x250', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$ad_content = $instance['ad_content'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $ad_content )
			echo '<div class="textwidget"><div class="ad_wrap"><div class="ad_300">' . html_entity_decode( $ad_content ) . '</div></div></div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['ad_content'] =  htmlspecialchars( $new_instance['ad_content'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Ads', 'code125-admin'), 'ad_content' => ' ' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'ad_content' ); ?>"><?php _e('Ad Content:', 'code125-admin'); ?></label>
			
			<textarea id="<?php echo $this->get_field_id( 'ad_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_content']; ?></textarea>
		</p>
		

	<?php
	}
}


class code125_widget_ad_4_4 extends WP_Widget {

	function code125_widget_ad_4_4() {
		$widget_ops = array( 'classname' => 'ad_4_4_widget', 'description' => 'Add 4x4 Ads Area' );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ad_4_4-widget' );
		
		$this->WP_Widget( 'ad_4_4-widget', 'Code125 4 125x125 Ads', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$ad_1_content = $instance['ad_1_content'];
		$ad_2_content = $instance['ad_2_content'];
		$ad_3_content = $instance['ad_3_content'];
		$ad_4_content = $instance['ad_4_content'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		
			echo '<div class="textwidget"><div class="ad_wrap clearfix"><div class="ad_125">' . html_entity_decode( $ad_1_content ) . '</div><div class="ad_125">' . html_entity_decode( $ad_2_content ) . '</div><div class="ad_125">' . html_entity_decode( $ad_3_content ) . '</div><div class="ad_125">' . html_entity_decode( $ad_4_content ) . '</div></div></div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['ad_1_content'] =  htmlspecialchars( $new_instance['ad_1_content'] );
		$instance['ad_2_content'] =  htmlspecialchars( $new_instance['ad_2_content'] );
		$instance['ad_3_content'] =  htmlspecialchars( $new_instance['ad_3_content'] );
		$instance['ad_4_content'] =  htmlspecialchars( $new_instance['ad_4_content'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Ads', 'code125-admin'), 'ad_content' => ' ' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'ad_1_content' ); ?>">Ad 1 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_1_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_1_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_1_content']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'ad_2_content' ); ?>">Ad 2 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_2_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_2_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_2_content']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'ad_3_content' ); ?>">Ad 3 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_3_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_3_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_3_content']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'ad_4_content' ); ?>">Ad 4 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_4_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_4_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_4_content']; ?></textarea>
		</p>
		

	<?php
	}
}

class code125_widget_ad_2_125 extends WP_Widget {

	function code125_widget_ad_2_125() {
		$widget_ops = array( 'classname' => 'ad_2_125_widget', 'description' => 'Add 1x2 Ads Area' );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ad_2_125-widget' );
		
		$this->WP_Widget( 'ad_2_125-widget', 'Code125 2 125x125 Ads', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$ad_1_content = $instance['ad_1_content'];
		$ad_2_content = $instance['ad_2_content'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		
			echo '<div class="textwidget"><div class="ad_wrap ads1x2_ads clearfix"><div class="ad_125">' . html_entity_decode( $ad_1_content ) . '</div><div class="ad_125">' . html_entity_decode( $ad_2_content ) . '</div></div></div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['ad_1_content'] =  htmlspecialchars( $new_instance['ad_1_content'] );
		$instance['ad_2_content'] =  htmlspecialchars( $new_instance['ad_2_content'] );
		
		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Ads', 'code125-admin'), 'ad_content' => ' ' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'ad_1_content' ); ?>">Ad 1 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_1_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_1_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_1_content']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'ad_2_content' ); ?>">Ad 2 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_2_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_2_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_2_content']; ?></textarea>
		</p>
		
	<?php
	}
}



class code125_widget_flickr extends WP_Widget {

	function code125_widget_flickr() {
		$widget_ops = array( 'classname' => 'flickr clearfix', 'description' => __('Show the Stream Photos from Flickr', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'flickr-widget' );
		
		$this->WP_Widget( 'flickr-widget', __('Code125 Flickr Photostream', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];
		$count = $instance['count'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username )
			echo '<div class="textwidget">';
			echo do_shortcode('[flickr id="'.$username.'" count="'.$count.'"]');
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );
		$instance['count'] = strip_tags( $new_instance['count'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Flickr Photostream', 'code125-admin'), 'username' => '','count' =>'9' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>"><?php _e('ID:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>">Number of Photos:</label>
			<select name="<?php echo $this->get_field_name('count'); ?>" id="<?php echo $this->get_field_id('count'); ?>" class="widefat">
				<?php
				$options = array('6','7','8','9','10','11','12');
				foreach ($options as $option) {
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>', $option, '</option>';
				}
				?>
			</select>
		</p>

	<?php
	}
}



class code125_widget_featured_post extends WP_Widget {

	function code125_widget_featured_post() {
		$widget_ops = array( 'classname' => 'featured_post', 'description' => __('Featured Post', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'featured-widget' );
		
		$this->WP_Widget( 'featured-widget', __('Code125 Featured Post', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$post_id = $instance['post_id'];
		
		$category = get_the_category($post_id); 
		echo $before_widget;
		?>
		<div class="<?php echo  $category[0]->slug; ?>">
		<?php
		
		$after_title = '<span class="side-icon icon-bookmark"></span><span class="arrow"></span></h3>';
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;


		$id_link = get_post_thumbnail_id($post_id);
			
			$image_url = wp_get_attachment_image_src( $id_link, 'blog-page-thumb');
			
			$image_url2 = wp_get_attachment_image_src( $id_link, 'full');
		?>
		
			<?php 
				$post2 = get_post($post_id);
			 ?>
			
			<div class="featured-post thumb-wrap <?php echo $category[0]->slug; ?>">
			<?php if(is_array($image_url)){ 
				
				?>
				<a  href="<?php echo get_permalink( $post_id ); ?>"><img src="<?php echo $image_url[0] ?>" alt="" /></a>
			<?php } ?>
			<p class="dark-mini"><a  href="<?php echo get_permalink( $post2->ID ); ?>"><?php echo $post2->post_title; ?></a></p></div>
			</div>
			
			
	
	<?php
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['post_id'] = strip_tags( $new_instance['post_id'] );
		return $instance;
	}

	
	function form( $instance ) {
		
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => __('Featured Post', 'code125-admin'), 'post_id' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'post_id' ); ?>"><?php _e('Post ID:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'post_id' ); ?>" name="<?php echo $this->get_field_name( 'post_id' ); ?>" value="<?php echo $instance['post_id']; ?>" style="width:100%;" class="widefat" />
		</p>

						
	<?php
	}
}


class code125_widget_blog extends WP_Widget {

	function code125_widget_blog() {
		$widget_ops = array( 'classname' => 'blog', 'description' => __('Latest & Popular Posts', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'blog-widget' );
		
		$this->WP_Widget( 'blog-widget', __('Code125 Latest Posts', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$post_type = $instance['post_type'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
			
			?>
			<ul class="tabs clearfix">
			  <li class="active first_li">
			    <a href="#<?php echo $post_type; ?>1"><?php _e('Popular','code125') ?></a>
			  </li>
			  <li>
			    <a href="#<?php echo $post_type; ?>2"><?php _e('Recents','code125') ?></a>
			  </li>
			  <li>
			    <a href="#<?php echo $post_type; ?>3"><?php _e('Comments','code125') ?></a>
			  </li>
			  <li class="last_li">
			    <a href="#<?php echo $post_type; ?>4"><?php _e('Tags','code125') ?></a>
			  </li>
			</ul>
			
			<div class="tabs-container">
			  <div class="tabdata clearfix" id="<?php echo $post_type; ?>1">
			    <?php echo do_shortcode('[latest_news category="" numberposts="3" order="DESC" orderby="comment_count"]'); ?>
			    
			  </div>
			  <div class="tabdata clearfix" id="<?php echo $post_type; ?>2">
			    <?php echo do_shortcode('[latest_news category="" numberposts="3" order="DESC" orderby="date"]'); ?>
			  </div>
			  <div class="tabdata clearfix" id="<?php echo $post_type; ?>3">
			    <ul class="latest_news comments comments">
			    
			    <?php $args = array(
			    	'status' => 'approve',
			    	'number' => '3',
			    	'post_type' => $post_type
			    );
			    $comments = get_comments($args);
			    foreach($comments as $comment) :
			    	echo '<li class="clearfix">'; ?>
			    	<div class="row-fluid">
			    	<div class="span3">
			    	<?php
			    	echo get_avatar($comment->post_author);
			    	?>
			    	</div>
			    	<div class="span9">
			    	<?php
			    	echo('<a href="'.get_permalink($comment->comment_post_ID).'">' . substr($comment->comment_content, 0, 100). '</a>');
			    	echo '</div></div></li>';
			    endforeach; ?>
			      
			    </ul>
			  </div>
			  <div class="tabdata clearfix" id="<?php echo $post_type; ?>4">
			    <div class="tags clearfix">
			    
			      <?php
			      	wp_tag_cloud('taxonomy='.$post_type.'_tag'); 
			       
			       ?>
			    </div>
			  </div>
			</div>
	
	<?php
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['post_type'] = strip_tags( $new_instance['post_type'] );
		return $instance;
	}

	
	function form( $instance ) {
		
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => __('From The Blog', 'code125-admin'), 'post_type' => 'post' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

				<p>
			<label for="<?php echo $this->get_field_id('post_type'); ?>">Post Type:</label>
			<select name="<?php echo $this->get_field_name('post_type'); ?>" id="<?php echo $this->get_field_id('post_type'); ?>" class="widefat">
				<?php
				$options = array('post'=>'Normal Post');
				foreach ($options as $key => $value) {
					echo '<option value="' . $key . '" id="' . $key . '"', $instance['post_type'] == $key ? ' selected="selected"' : '', '>', $value, '</option>';
				}
				?>
			</select>
		</p>
		
	<?php
	}
}


class code125_widget_news_photos extends WP_Widget {

	function code125_widget_news_photos() {
		$widget_ops = array( 'classname' => 'news_photos', 'description' => __('News In Photos', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'news_photos-widget' );
		
		$this->WP_Widget( 'news_photos-widget', 'Code125 News In Photos', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$cat = $instance['cat'];
		$count = $instance['count'];
		
		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
			echo '<div class="textwidget clearfix">';
			if($cat == 'all'){
			$cat='';
			}
			$code = '[news_in_photos category="'.$cat.'" numberposts="'.$count.'" order="DESC" orderby="date"]';
			echo do_shortcode($code);
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['count'] = strip_tags( $new_instance['count'] );
		$instance['cat'] = strip_tags( $new_instance['cat'] );
		
		return $instance;
	}

	
	function form( $instance ) {
		
		$args=array(
		  'orderby' => 'name',
		  'order' => 'ASC'
		  );
		$categories=get_categories($args);
		$cat_options=array();
		$cat_options['all']= 'All Categories';
		  foreach($categories as $category) { 
		    $cat_options[ $category->term_id  ] =   $category->name;
		  } 
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => 'News in Photos', 'count' =>'6', 'cat'=>'' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>">Number of Posts:</label>
			<select name="<?php echo $this->get_field_name('count'); ?>" id="<?php echo $this->get_field_id('count'); ?>" class="widefat">
				<?php
				$options = array('3','4','5','6','7','8','9','10','11','12','13','14','15','16','17');
				foreach ($options as $option) {
				$select = $instance['count'];
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $option . '</option>';
				}
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('cat'); ?>">Category:</label>
			<select name="<?php echo $this->get_field_name('cat'); ?>" id="<?php echo $this->get_field_id('cat'); ?>" class="widefat">
				<?php
				
				foreach ($cat_options as $option => $value) {
				
					$select = $instance['cat'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		
	<?php
	}
}

class code125_widget_posts extends WP_Widget {

	function code125_widget_posts() {
		$widget_ops = array( 'classname' => 'posts', 'description' => __('Show Posts for certain Category.', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'posts-widget' );
		
		$this->WP_Widget( 'posts-widget', 'Code125 Category Posts', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$cat = $instance['cat'];
		$count = $instance['count'];
		$orderby= $instance['orderby'];
		
		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
			echo '<div class="textwidget clearfix">';
			
			$code = '[latest_news category="'.$cat.'" numberposts="'.$count.'" order="DESC" orderby="'.$orderby.'"]';
			echo do_shortcode($code);
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['count'] = strip_tags( $new_instance['count'] );
		$instance['cat'] = strip_tags( $new_instance['cat'] );
		$instance['orderby'] = strip_tags( $new_instance['orderby'] );
	
		
		return $instance;
	}

	
	function form( $instance ) {
		
		$args=array(
		  'orderby' => 'name',
		  'order' => 'ASC'
		  );
		$categories=get_categories($args);
		$cat_options=array();
		  foreach($categories as $category) { 
		    $cat_options[ $category->term_id  ] =   $category->name;
		  } 
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => 'Category Articles', 'count' =>'6', 'cat'=>'','orderby'=>'date' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>">Number of Posts:</label>
			<select name="<?php echo $this->get_field_name('count'); ?>" id="<?php echo $this->get_field_id('count'); ?>" class="widefat">
				<?php
				$options = array('3','4','5','6');
				foreach ($options as $option) {
				$select = $instance['count'];
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $option . '</option>';
				}
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('cat'); ?>">Category:</label>
			<select name="<?php echo $this->get_field_name('cat'); ?>" id="<?php echo $this->get_field_id('cat'); ?>" class="widefat">
				<?php
				
				foreach ($cat_options as $option => $value) {
				
					$select = $instance['cat'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('orderby'); ?>">Order By:</label>
			<select name="<?php echo $this->get_field_name('orderby'); ?>" id="<?php echo $this->get_field_id('orderby'); ?>" class="widefat">
				<?php
				
				$order_options =array('none' => 'None',
				'id' => 'Post ID',
				'author' => 'Author',
				'title' => 'Title',
				'date' => 'Date Created',
				'modified' => 'Date Modified',
				'parent' => 'Post/Page Parent ID',
				'rand' => 'Random',
				'comment_count' => 'Number of Comments',
				'menu_order' => 'Page Order');
				
				foreach ($order_options as $option => $value) {
				
					$select = $instance['orderby'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		
	<?php
	}
}



class code125_widget_left_posts extends WP_Widget {

	function code125_widget_left_posts() {
		$widget_ops = array( 'classname' => 'posts left-posts', 'description' => __('Show Posts for certain Category.', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'posts-left-widget' );
		
		$this->WP_Widget( 'posts-left-widget', 'Code125 (Left) Category Posts', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$cat = $instance['cat'];
		$count = $instance['count'];
		$orderby= $instance['orderby'];
		
		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
			echo '<div class="textwidget left-posts clearfix">';
			
			$args = array(
			    'posts_per_page' => $count,
			    'cat' => $cat,
			    'orderby' => $orderby,
			    'post_type' => 'post',
			    'post_status' => 'publish');
			
			$myposts = get_posts( $args );
			foreach( $myposts as $post2 ) { 
				$id_link = get_post_thumbnail_id($post2->ID);
				
				$image_url = wp_get_attachment_image_src( $id_link, 'left-post');
				
				$image_url2 = wp_get_attachment_image_src( $id_link, 'full');
			?>
			<?php if(is_array($image_url)){ 
				
				?>
				<div class="mini-post">
				<?php $category = get_the_category($post2->ID);  ?>
				
				<div class="dark-mini-wrap thumb-wrap <?php echo $category[0]->slug; ?>">
				
					<a  href="<?php echo get_permalink( $post2->ID ); ?>"><img src="<?php echo $image_url[0] ?>" alt="" /></a>
				
				<p class="dark-mini"><a  href="<?php echo get_permalink( $post2->ID ); ?>"><?php echo $post2->post_title; ?></a></p></div></div>
				<?php } ?>
			<?php } 
			
			
			
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['count'] = strip_tags( $new_instance['count'] );
		$instance['cat'] = strip_tags( $new_instance['cat'] );
		$instance['orderby'] = strip_tags( $new_instance['orderby'] );
	
		
		return $instance;
	}

	
	function form( $instance ) {
		
		$args=array(
		  'orderby' => 'name',
		  'order' => 'ASC'
		  );
		$categories=get_categories($args);
		$cat_options=array();
		$cat_options[ ''  ] =   'All Categories';
		  foreach($categories as $category) { 
		    $cat_options[ $category->term_id  ] =   $category->name;
		  } 
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => 'Category Articles', 'count' =>'6', 'cat'=>'','orderby'=>'date' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>">Number of Posts:</label>
			<select name="<?php echo $this->get_field_name('count'); ?>" id="<?php echo $this->get_field_id('count'); ?>" class="widefat">
				<?php
				$options = array('3','4','5','6','7','8','9','10');
				foreach ($options as $option) {
				$select = $instance['count'];
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $option . '</option>';
				}
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('cat'); ?>">Category:</label>
			<select name="<?php echo $this->get_field_name('cat'); ?>" id="<?php echo $this->get_field_id('cat'); ?>" class="widefat">
				<?php
				
				foreach ($cat_options as $option => $value) {
				
					$select = $instance['cat'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('orderby'); ?>">Order By:</label>
			<select name="<?php echo $this->get_field_name('orderby'); ?>" id="<?php echo $this->get_field_id('orderby'); ?>" class="widefat">
				<?php
				
				$order_options =array('none' => 'None',
				'id' => 'Post ID',
				'author' => 'Author',
				'title' => 'Title',
				'date' => 'Date Created',
				'modified' => 'Date Modified',
				'parent' => 'Post/Page Parent ID',
				'rand' => 'Random',
				'comment_count' => 'Number of Comments',
				'menu_order' => 'Page Order');
				
				foreach ($order_options as $option => $value) {
				
					$select = $instance['orderby'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		
	<?php
	}
}

class code125_widget_feedburner extends WP_Widget {

	function code125_widget_feedburner() {
		$widget_ops = array('classname' => 'BFW', 'description' => __('Subscribe via email to your Feedburner feed.','better-feedburner-widget'));
		$this->WP_Widget('BFW', 'Code125 Feedburner Widget', $widget_ops);
	}

	function form($instance) {
		
		$instance = wp_parse_args((array) $instance, array(
			'title' => '',
			'feed' => '',
			'email_label' => '',
			'after_form' => '',
			'button_text' => '',
			'show_counter' => '',
			'counter_bg' => '',
			'counter_fg' => '',
		));
        
		$title = esc_attr($instance['title']);
		$feed = esc_attr($instance['feed']);
		$email_label = esc_attr($instance['email_label']);
		$after_form = esc_attr($instance['after_form']);
		$button_text = empty($instance['button_text']) ? 'Subscribe' : esc_attr($instance['button_text']);
		$show_counter = esc_attr($instance['show_counter']);
		$counter_bg = empty($instance['counter_bg']) ? '99ccff' : $instance['counter_bg'];
		$counter_fg = empty($instance['counter_fg']) ? '444444' : $instance['counter_fg'];
?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><strong><?php _e('Widget Title:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('feed'); ?>"><strong><?php _e('Feedburner feed User:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('feed'); ?>" name="<?php echo $this->get_field_name('feed'); ?>" type="text" value="<?php echo $feed; ?>" /></label><br />
		<small><em>(http://feeds.feedburner.com/USER)</em></small></p>
		<p><label for="<?php echo $this->get_field_id('email_label'); ?>"><strong><?php _e('Label for email box:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('email_label'); ?>" name="<?php echo $this->get_field_name('email_label'); ?>" type="text" value="<?php echo $email_label; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('button_text'); ?>"><strong><?php _e('Submit button text:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('button_text'); ?>" name="<?php echo $this->get_field_name('button_text'); ?>" type="text" value="<?php echo $button_text; ?>" /></label></p>
		  
		
		
		
<?php
	}

	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	 function widget($args, $instance) {
		extract($args, EXTR_SKIP);
		$html = $before_widget;
        
		$title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
		$feed = empty($instance['feed']) ? false : $instance['feed'];
		$email_label = empty($instance['email_label']) ? false : $instance['email_label'];
		$after_form = empty($instance['after_form']) ? false : $instance['after_form'];
		$button_text = empty($instance['button_text']) ? 'Subscribe' : $instance['button_text'];
		$show_counter = (isset($instance['show_counter']) && $instance['show_counter']) ? true : false;
		$counter_bg = empty($instance['counter_bg']) ? '99ccff' : $instance['counter_bg'];
		$counter_fg = empty($instance['counter_fg']) ? '444444' : $instance['counter_fg'];
       
		$user = str_replace('http://feeds.feedburner.com/', '', $feed);
           
		if (!empty($title)) {
			$html .= $before_title . trim($title) . $after_title;
		}

		$html .= '<div id="loginform" class="clearfix"><form id="BFW" action="http://feedburner.google.com/fb/a/mailverify" method="post" onsubmit="window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . $user . '\', \'popupwindow\', \'scrollbars=yes,width=550,height=520\')" target="popupwindow">';
		
		
		$html .= '<input id="BFW_email" class="element-block" type="text" name="email" placeholder="' . trim($email_label) . '" />';
		$html .= '<input type="hidden"  value="' . $user . '" name="uri"/>';
		$html .= '<input type="hidden" name="loc" value="en_US"/>';
            
		$html .= '<input id="BFW_submit" class="button-primary" type="submit" value="' . trim($button_text) . '" />';

		if ($show_counter) {
			$html .= "<div id=\"BFW_stats\"><a href=\"http://feeds.feedburner.com/" . $user . "\"><img src=\"http://feeds.feedburner.com/~fc/" . $user . "?bg=" . $counter_bg . "&amp;fg=" . $counter_fg . "&amp;anim=0\" height=\"26\" width=\"88\" style=\"border:0\" alt=\"Feedburner Subscriber Count\" /></a></div>\n";
		}
				
		$html .= '</form></div>';
		
		
        $html .= $after_widget;
        
        echo($html);
    }

}


